summaryrefslogtreecommitdiffstats
path: root/games/uqm/uqm.SlackBuild
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-12 23:29:36 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-12 23:29:36 +0200
commite23de79a5e8a267b3147fa855a620c01232d9811 (patch)
treee052c48dc5783954bf98fe2e7ca2438d27ce70d0 /games/uqm/uqm.SlackBuild
parent56c4326324c43f741a5d88a441d772db5cd976bc (diff)
downloadslackbuilds-e23de79a5e8a267b3147fa855a620c01232d9811.tar.gz
slackbuilds-e23de79a5e8a267b3147fa855a620c01232d9811.tar.xz
games/uqm: Added to 12.2 repository
Diffstat (limited to 'games/uqm/uqm.SlackBuild')
-rw-r--r--games/uqm/uqm.SlackBuild106
1 files changed, 106 insertions, 0 deletions
diff --git a/games/uqm/uqm.SlackBuild b/games/uqm/uqm.SlackBuild
new file mode 100644
index 0000000000..2368c02359
--- /dev/null
+++ b/games/uqm/uqm.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for uqm
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=uqm
+VERSION=${VERSION:-0.6.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CONTENT=${PRGNAM}_content
+CONTVER=${CONTVER:-0.6.0}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-source.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+# uqm uses a custom build.sh to configure and build the source.
+# It's not a bad system, but it's interactive only, meaning I have
+# to script answers to the build.sh prompts, hence build_config().
+
+# WARNING: If you're updating this SlackBuild for a new version of
+# uqm, check and make sure the build.sh options haven't changed!
+
+# It'd be more efficient to require a system-wide libmikmod instead of
+# using the included (statically linked) one, but it's not that big
+# a library, and this way we don't have any external dependencies.
+
+build_config() {
+ echo 1 # Top-level menu option 1: Build type...
+ echo 1 # type 1 = release
+ echo 2 # Top-level menu option 2: OpenGL support...
+ echo 2 # 1 = Don't include, 2 = Include OpenGL graphics support
+ echo 4 # Top-level menu option 4: Tracker music support
+ echo 1 # 1 = included libmikmod, 2 = system libmikmod
+ echo 10 # Top-level menu option 10: Installation paths...
+ echo 1 # Option 1 = Installation prefix
+ echo /usr # New value:
+ echo 3 # Option 3 = Location for non-sharable data
+ # New value:
+ echo \$prefix/libexec
+ echo # ENTER; back to top-level menu
+ echo # ENTER at top-level menu = done
+}
+
+
+if [ ! -e $CWD/$PRGNAM-$CONTVER-content.uqm ]; then
+ echo "Error: $CONTENT not found! Please download the $CONTENT"
+ echo " first (see the README), before attempting to build this."
+ exit 1
+fi
+
+
+cd sc2
+build_config | sh build.sh uqm config
+sed -i.bak "s/-O3/$SLKCFLAGS/" build.vars
+sh build.sh uqm
+
+strip $PRGNAM
+mkdir -p $PKG/usr/libexec/$PRGNAM
+cp -a $PRGNAM $PKG/usr/libexec/$PRGNAM
+
+mkdir -p $PKG/usr/bin
+cat $PRGNAM-wrapper > $PKG/usr/bin/$PRGNAM
+chmod 0755 $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/share/$PRGNAM/content/packages/addons
+cp content/version $PKG/usr/share/$PRGNAM/content
+# Install the uqm content. Without this the binary is not useful.
+cat $CWD/$PRGNAM-$CONTVER-content.uqm > $PKG/usr/share/$PRGNAM/content/packages/$PRGNAM-$CONTVER-content.uqm
+
+mkdir -p $PKG/usr/man/man1
+gzip -9c $CWD/$PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp $PRGNAM.lsm AUTHORS BUGS COPYING ChangeLog Contributing README WhatsNew \
+ doc/users/manual.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz